import theater.*;

import java.util.List;


/**
 * ClickHandler-Klasse zur Änderung des Zustands einzelner Zellen
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (05.10.2009)
 *
 */
public class ChangeState extends ClickHandler {
    public void handleClick(Stage stage, Actor solist, int col, int row,
        List<Component> clickedComponents) {
        Koordinator k = (Koordinator) solist;

        if (k.isLiving(row, col)) {
            k.setDead(row, col);
        } else {
            k.setLiving(row, col);
        }
    }
}
